## org.eclipse.papyrus.emf.facet.query.ocl.metamodel.oclquery.util
Class OclQueryAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.papyrus.emf.facet.query.ocl.metamodel.oclquery.util.OclQueryAdapterFactory

    public class OclQueryAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `OclQueryPackage`
Generated:

Constructor Summary
`OclQueryAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`.
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`Adapter` `createOclQueryAdapter()` Creates a new adapter for an object of class '`Ocl Query`'.
`Adapter` `createQueryAdapter()` Creates a new adapter for an object of class '`Query`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OclQueryAdapterFactory

    public OclQueryAdapterFactory()

  Creates an instance of the adapter factory.

  Generated:

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Returns:
    whether this factory is applicable for the type of the object.
  Generated:

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.
  Generated:

### createOclQueryAdapter

    public Adapter createOclQueryAdapter()

  Creates a new adapter for an object of class '`Ocl Query`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OclQuery`
  Generated:

### createQueryAdapter

    public Adapter createQueryAdapter()

  Creates a new adapter for an object of class '`Query`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.papyrus.emf.facet.efacet.metamodel.v0_2_0.efacet.extensible.Query`
  Generated:

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.
  Generated: